
Redmine - Defect #24693

Spent time on subtasks should also be reassigned when deleting an issue

2016-12-26 17:02 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.2.5   

Resolution: Fixed Affected version:  

Description

When you delete an issue, its spent hours will be reassigned to selected issue, but the time spent on descendants was just simply

deleted. Now it is also reassigned to the targeted issue.

Patch tested and fully working for Redmine 3.3.1-devel

Pull request on GitHub : https://github.com/redmine/redmine/pull/92

Related issues:

Related to Redmine - Defect #24718: Prevent from reassigning spent time to an... Closed

Associated revisions

Revision 16118 - 2016-12-31 16:04 - Jean-Philippe Lang

Handle time entries on subtasks and prevent from reassigning an issue that is going to be deleted (#24718, #24693).

Revision 16120 - 2016-12-31 16:16 - Jean-Philippe Lang

Update project_id column in case some time entries were on subtasks of different projects (#24693).

Revision 16122 - 2016-12-31 17:30 - Jean-Philippe Lang

Unneeded assignment (#24693).

Revision 16132 - 2017-01-04 21:47 - Jean-Philippe Lang

Merged r16118 to r16122 (#24693, #24718, #24722).

Revision 16133 - 2017-01-04 21:50 - Jean-Philippe Lang

Merged r16118 to r16122 (#24693, #24718, #24722).

History

#1 - 2016-12-26 23:31 - Go MAEDA

- Status changed from Resolved to New

#2 - 2016-12-27 12:51 - Go MAEDA

- File screenshot1-spent_time.png added

- File screenshot2-without-patch.png added

- File screenshot3-with-patch.png added

- Target version set to Candidate for next minor release

Confirmed the problem.

This patch works as expected. The remaining work is to add tests.

Total spent time is 11.00 hours:
https://github.com/redmine/redmine/pull/92


screenshot1-spent_time.png 

Without the patch:
screenshot2-without-patch.png 

With the patch:
 screenshot3-with-patch.png 

#3 - 2016-12-27 15:27 - Anonymous

Thanks for your response !

I will the send patch that will include the tests during this week.

Have a great day !

#4 - 2016-12-31 01:30 - Go MAEDA

- Related to Defect #24718: Prevent from reassigning spent time to an issue that is going to be deleted added

#5 - 2016-12-31 16:08 - Jean-Philippe Lang

- Tracker changed from Patch to Defect

- Subject changed from Issue destroy : Also reassign descendants spent hours to Spent time on subtasks should also be reassigned when deleting an

issue

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 3.2.5

- Resolution set to Fixed

The fix is included in r16118, thanks.

#6 - 2017-01-04 21:53 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#7 - 2017-03-22 20:54 - Anonymous

I did a plugin to backport this fix on 3.2.4 and older :

https://github.com/savoirfairelinux/redmine-backports-reassign-time-spent-on-subtasks-when-delete

Files

issue-destroy-also-reassign-descendants-spent-hours.patch 1.6 KB 2016-12-26 Anonymous

screenshot1-spent_time.png 53.1 KB 2016-12-27 Go MAEDA

screenshot2-without-patch.png 30.3 KB 2016-12-27 Go MAEDA

screenshot3-with-patch.png 31.8 KB 2016-12-27 Go MAEDA
